*:focus {
    outline: 0px;
}
body{
    overflow-x: hidden;
}
.p-dropdown .p-dropdown-label.p-placeholder {
    height: 23px !important;
    font-size: 10px;
}
.p-inputtext{
    padding: 0 !important;
    display: flex !important;
    align-items: center !important;
}
.p-dropdown-panel{
    z-index: 10000000 !important;
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-empty-message{
    padding: 0 1em !important;
    font-size: 10px;
}
.p-dropdown:not(.p-disabled).p-focus{
    border-color: transparent !important;
    box-shadow: none !important;
}
.p-dropdown:not(.p-disabled):hover {
    border-color: transparent !important;
}
.p-dropdown-panel .p-dropdown-items {
    padding: 0 !important;
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-item{
    padding: 0.5rem !important;
    font-size: 10px !important;
}


.select2{
    width: 100% !important;
}

.select2-selection.select2-selection--single{
    height: 32.59px !important;
    border-color: var(--bs-border-color) !important;
}

.select2-selection__rendered,
.select2-selection__arrow {
    height: 100% !important;
    display: flex !important;
    align-items: center !important;
    justify-content: space-between !important;
}
.flex-left > .select2-container--default .select2-selection--single {
    border-top-left-radius: 0px !important;
    border-bottom-left-radius: 0px !important;
}
.flex-right > .select2-container--default .select2-selection--single {
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
}

/* .input-group > .select2-container--bootstrap {
    width: auto !important;
    flex: 1 1 auto !important;
}

.input-group > .select2-container--bootstrap .select2-selection--single {
    height: 100% !important;
    line-height: inherit !important;
    padding: 0.5rem 1rem !important;
} */

.was-validated {
    .form-control.selectOption2 + .select2-container .select2-selection,
    .custom-select.selectOption2 + .select2-container .select2-selection {
        padding-right: calc(1.6em + 0.75rem);
        background-repeat: no-repeat;
        background-position: center right calc(0.4em + 0.1875rem);
        background-size: calc(0.8em + 0.375rem) calc(0.8em + 0.375rem);
    }

    .form-control.selectOption2:invalid + .select2-container .select2-selection,
    .custom-select.selectOption2:invalid + .select2-container .select2-selection {
        border-color: var(--bs-danger);
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23e3342f' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23e3342f' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
        background-position: 96% 50%;
        border-color: var(--bs-danger) !important;
    }

    .form-control.selectOption2:valid + .select2-container .select2-selection,
    .custom-select.selectOption2:valid + .select2-container .select2-selection {
        border-color: var(--bs-success);
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2338c172' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
        background-position: 96% 50%;
        border-color: var(--bs-success) !important;
    }

    .p-dropdown-panel:invalid {
        border-color: var(--bs-danger);
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23e3342f' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23e3342f' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
        background-position: 96% 50%;
        border-color: var(--bs-danger) !important;
    }
}

.has-error .bootstrap-select .dropdown-toggle, .error .bootstrap-select .dropdown-toggle, .bootstrap-select.is-invalid .dropdown-toggle, .was-validated .bootstrap-select select:invalid + .dropdown-toggle {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23e3342f' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23e3342f' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E") !important;
    background-position: 96% 50% !important;
    background-repeat: no-repeat !important;
    background-size: calc(0.8em + 0.375rem) calc(0.8em + 0.375rem) !important;
    padding-right: calc(1.6em + 0.75rem) !important;
    background-position: center right calc(0.4em + 0.1875rem) !important;
}
.bootstrap-select.is-valid .dropdown-toggle, .was-validated .bootstrap-select select:valid + .dropdown-toggle {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2338c172' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e") !important;
    background-position: 96% 50% !important;
    background-repeat: no-repeat !important;
    background-size: calc(0.8em + 0.375rem) calc(0.8em + 0.375rem) !important;
    padding-right: calc(1.6em + 0.75rem) !important;
    background-position: center right calc(0.4em + 0.1875rem) !important;
}

.note-editable{
    background-color: white;
}
/* .was-validated .form-control:valid {
    border-color: var(--bs-primary) !important;
} */




/* new transition  */
.loader {
    --path: #2f3545;
    --dot: #5628ee;
    --duration: 3s;
    width: 44px;
    height: 44px;
    position: relative;
}
.loader:before {
    content: '';
    width: 6px;
    height: 6px;
    border-radius: 50%;
    position: absolute;
    display: block;
    background: var(--dot);
    top: 37px;
    left: 19px;
    transform: translate(-18px, -18px);
    animation: dotRect var(--duration) cubic-bezier(0.785, 0.135, 0.15, 0.86) infinite;
}
.loader svg {
    display: block;
    width: 100%;
    height: 100%;
}
.loader svg rect, .loader svg polygon, .loader svg circle {
    fill: none;
    stroke: var(--path);
    stroke-width: 10px;
    stroke-linejoin: round;
    stroke-linecap: round;
}
.loader svg polygon {
    stroke-dasharray: 145 76 145 76;
    stroke-dashoffset: 0;
    animation: pathTriangle var(--duration) cubic-bezier(0.785, 0.135, 0.15, 0.86) infinite;
}
.loader svg rect {
    stroke-dasharray: 192 64 192 64;
    stroke-dashoffset: 0;
    animation: pathRect 3s cubic-bezier(0.785, 0.135, 0.15, 0.86) infinite;
}
.loader svg circle {
    stroke-dasharray: 150 50 150 50;
    stroke-dashoffset: 75;
    animation: pathCircle var(--duration) cubic-bezier(0.785, 0.135, 0.15, 0.86) infinite;
}
.loader.triangle {
    width: 48px;
}
.loader.triangle:before {
    left: 21px;
    transform: translate(-10px, -18px);
    animation: dotTriangle var(--duration) cubic-bezier(0.785, 0.135, 0.15, 0.86) infinite;
}
@keyframes pathTriangle {
    33% {
        stroke-dashoffset: 74;
   }
    66% {
        stroke-dashoffset: 147;
   }
    100% {
        stroke-dashoffset: 221;
   }
}
@keyframes dotTriangle {
    33% {
        transform: translate(0, 0);
   }
    66% {
        transform: translate(10px, -18px);
   }
    100% {
        transform: translate(-10px, -18px);
   }
}
@keyframes pathRect {
    25% {
        stroke-dashoffset: 64;
   }
    50% {
        stroke-dashoffset: 128;
   }
    75% {
        stroke-dashoffset: 192;
   }
    100% {
        stroke-dashoffset: 256;
   }
}
@keyframes dotRect {
    25% {
        transform: translate(0, 0);
   }
    50% {
        transform: translate(18px, -18px);
   }
    75% {
        transform: translate(0, -36px);
   }
    100% {
        transform: translate(-18px, -18px);
   }
}
@keyframes pathCircle {
    25% {
        stroke-dashoffset: 125;
   }
    50% {
        stroke-dashoffset: 175;
   }
    75% {
        stroke-dashoffset: 225;
   }
    100% {
        stroke-dashoffset: 275;
   }
}
.loader {
    display: inline-block;
    margin: 0 16px;
}
body .dribbble {
    position: fixed;
    display: block;
    right: 20px;
    bottom: 20px;
}
body .dribbble img {
    display: block;
    height: 28px;
}

.z-100{
    z-index: 5000 !important;
}






.dataTable td{
    text-align: center;
}
.dataTable th{
    text-align: center !important;
}
.dataTable {
    border-collapse: collapse !important;
}

.active .page-link{
    background-color: #cfe2ff !important;
    border-color: #cfe2ff;
    color: #000000;
}
.page-item .page-link {
    font-size: 14px !important;
}

th,
td {
    font-size: 14px;
}

.dataTables_scrollHeadInner, .table{
    width:100%!important
};



/* .dt-buttons {
	margin-bottom: 10px;
}
.dt-buttons.btn-group{
	float: left;
	margin-right: 2%;
}
.dataTables_filter {
	float: left;
	margin-top: 4px;
	margin-right: 2%;
	text-align: left;
}
.dataTables_info {
	float: right;
}
.dataTables_length{
	float: right;
	margin-top: 4px;
	margin-left: 2%;
} */


::-webkit-scrollbar-track
{
	border-radius: 5px;
	background-color: transparent;
    box-shadow: none !important;
}

::-webkit-scrollbar
{
	width: 5px;
    height: 10px;
	background-color: transparent;
}
*:hover::-webkit-scrollbar-thumb{        
	background-color: var(--bs-blue);
}

::-webkit-scrollbar-thumb
{
	border-radius: 5px;
    box-shadow: none !important;
}

.table-responsive,
.dataTables_scrollBody {
    overflow: visible !important;
}
 
.table-responsive-disabled .dataTables_scrollBody {
    overflow: hidden !important;
}


/* checkbox  */
.danger.form-check-input:checked {
    background-color: var(--bs-danger) !important;
    border-color: var(--bs-danger) !important;
}

.danger.form-check-input:focus {
    border-color: #ee9da2 !important;
    box-shadow: 0 0 0 0.25rem rgba(255, 0, 34, 0.25) !important;
    outline: 0;
}
.danger.form-check-input:focus:not(.danger.form-check-input:checked) {
    --bs-form-switch-bg: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3E%3Ccircle r='3' fill='pink'/%3e%3c/svg%3e") !important;
    
}

.select2-hidden-accessible { 
    position: fixed !important;
}
.table-border-primary tr th, .table-border-primary tr td {
    border: 1px solid var(--bs-dark) !important;
}
.btn-group-custom .dropdown-item > button{
    width: 100%;
}

/* bootstrap select  */

.bootstrap-select.form-control .dropdown-toggle::after{
    border: solid;
    border-width: 0 2px 2px 0;
    display: inline-block;
    padding: 2px;
    transform: rotate(45deg);
}



